<?php
  
$err_data = 0;  

IF (POST('sex') == 2){
  
  $sex = 2;    

}ELSE{
  
  $sex = 1;    

}

$password = POST('password');
$password2 = POST('password2');

$_SESSION['sex_reg'] = $sex;
$_SESSION['pass2_reg'] = $password2;
$_SESSION['pass_reg'] = $password;
  
IF (!POST('captcha') OR !POST('captcha_key')) {
  
  ERROR('Вы не ввели числа с картинки', 'session');
  $err_data = 1;

}
    
IF (MD5((int)POST('captcha') + $captcha_random_seed) != POST('captcha_key')) { 
  
  ERROR('Числа с картинки введены неверно', 'session');
  $err_data = 1;

}

IF ($password != $password2){
  
  ERROR('Пароли не совпадают', 'session');
  $err_data = 1;

}

IF (STR($password) > 20){
  
  ERROR('Пароль не может быть больше 20 символов', 'session');
  $err_data = 1;
  
}

IF (STR($password) < 8){
  
  ERROR('Пароль не может быть меньше 8 символов', 'session');
  $err_data = 1;
  
}

IF (!PREG_MATCH("#^([A-z0-9\-\_])+$#ui", $password)) {
  
  ERROR('В пароле присутствуют запрещенные символы. Используйте только буквы английского алфавита и цифры', 'session');
  $err_data = 1;

}

$world_set_update = $password;
$file_default = FILE_GET_CONTENTS(ROOT.'/system/config/password.txt');

IF (STRIPOS($file_default, $world_set_update) !== FALSE) {
  
  ERROR('Пароль слишком простой. Придумайте более сложный используя и цифры и буквы вместе', 'session');
  $err_data = 1;

}

IF (POST('rules') != 1){
  
  ERROR('Вы не приняли условия соглашения', 'session');
  $err_data = 1;

}

IF ($err_data == 1){
  
  REDIRECT('/?get=registration');

}